CVE-2005-1473
CVSS4.6
发布时间 :2005-06-13 00:00:00
修订时间 :2008-09-05 16:49:15
NMCOS    

[原文]SecurityAgent in Apple Mac OS X 10.4.1 allows attackers with physical access to bypass the locked screensaver and launch background applications by opening a URL from a text input field.


[CNNVD]Apple Mac OS X屏保上下文菜单访问漏洞(CNNVD-200506-108)

        Apple Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        Apple Mac OS X存在屏保上下文菜单访问漏洞。如果用户已经锁定了屏幕的话,则在试图解锁屏幕时会提示输入口令,但在文本输入框中会存在上下文菜单。
        攻击者可能利用这个漏洞部分绕过锁定屏幕的限制,在目标机器上显示不合适的站点,启动后台应用程序。
        

- CVSS (基础分值)

CVSS分值: 4.6 [中等(MEDIUM)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-1473
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-1473
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200506-108
(官方数据源) CNNVD

- 其它链接及资源

http://lists.apple.com/archives/security-announce/2005/May/msg00004.html
(PATCH)  APPLE  APPLE-SA-2005-05-19

- 漏洞信息

Apple Mac OS X屏保上下文菜单访问漏洞
中危 设计错误
2005-06-13 00:00:00 2005-10-20 00:00:00
本地  
        Apple Mac OS X是一款使用在Mac机器上的操作系统,基于BSD系统。
        Apple Mac OS X存在屏保上下文菜单访问漏洞。如果用户已经锁定了屏幕的话,则在试图解锁屏幕时会提示输入口令,但在文本输入框中会存在上下文菜单。
        攻击者可能利用这个漏洞部分绕过锁定屏幕的限制,在目标机器上显示不合适的站点,启动后台应用程序。
        

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Apple Mac OS X 10.4:
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06142&platform=osx&method=sa/MacOSXUpdate10.4.1.dmg
        Apple Mac OS X Server 10.4:
        http://wsidecar.apple.com/cgi-bin/nph-reg3rdpty1.pl/product=06210&platform=osx&method=sa/MacOSXSvrUpdate10.4.1.dmg

- 漏洞信息

16725
Apple Mac OS X SecurityAgent ScreenSaver Bypass
Physical Access Required Input Manipulation
Loss of Integrity
Exploit Unknown

- 漏洞描述

SecurityAgent in Mac OS X contains a flaw that may allow a malicious user to bypass screensaver restrictions. The issue is triggered when opening a URL from a text input field via the contextual menu. It is possible that the flaw may allow a malicious user to launch an arbitrary application behind a locked screensaver window resulting in a loss of integrity.

- 时间线

2005-05-16 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 10.4.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete

- 漏洞信息

Apple Mac OS X Screensaver Contextual Menu Access Vulnerability
Design Error 13696
No Yes
2005-05-20 12:00:00 2009-07-12 02:56:00
The vendor disclosed this issue.

- 受影响的程序版本

Apple Mac OS X Server 10.4
Apple Mac OS X 10.4
Apple Mac OS X Server 10.4.1
Apple Mac OS X 10.4.1

- 不受影响的程序版本

Apple Mac OS X Server 10.4.1
Apple Mac OS X 10.4.1

- 漏洞讨论

Apple Mac OS X is susceptible to a screen saver contextual menu access vulnerability.

This issue presents itself when a user locks their screen. When the screen saver prompts for the password when a user attempts to unlock the screen, contextual menus are available in the text-input fields.

Attackers may be able to partially bypass locked-screen restrictions. This may allow attackers to cause inappropriate, incriminating, or otherwise unwanted Web sites to be displayed on targeted computers. It may also allow them to exploit other latent vulnerabilities in applications used to handle URIs, by opening malicious Web sites or network resources.

- 漏洞利用

An exploit is not required.

- 解决方案

Apple has released advisory APPLE-SA-2005-05-19, along with fixes to address this and other issues. Please see the referenced advisory for more information.


Apple Mac OS X Server 10.4

Apple Mac OS X 10.4

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站